You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@fluo.apache.org by ct...@apache.org on 2021/11/23 20:06:08 UTC

[fluo-uno] branch main updated: remove 'component' from script executiion, fix fluo to use pos 1 (#276)

This is an automated email from the ASF dual-hosted git repository.

ctubbsii pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/fluo-uno.git


The following commit(s) were added to refs/heads/main by this push:
     new 3fa6704  remove 'component' from script executiion, fix fluo to use pos 1 (#276)
3fa6704 is described below

commit 3fa670434ae19254ba6f310349fb78e7ff9baeb5
Author: Jeffrey Manno <je...@gmail.com>
AuthorDate: Tue Nov 23 15:06:05 2021 -0500

    remove 'component' from script executiion, fix fluo to use pos 1 (#276)
---
 bin/impl/run/fluo.sh | 2 +-
 bin/impl/util.sh     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/impl/run/fluo.sh b/bin/impl/run/fluo.sh
index 95feb3a..d98be48 100755
--- a/bin/impl/run/fluo.sh
+++ b/bin/impl/run/fluo.sh
@@ -26,7 +26,7 @@ pkill -f twill.launcher
 set -e
 trap 'echo "[ERROR] Error occurred at $BASH_SOURCE:$LINENO command: $BASH_COMMAND"' ERR
 
-[[ $2 != '--no-deps' ]] && run_component accumulo
+[[ $1 != '--no-deps' ]] && run_component accumulo
 
 true
 # fluo.sh
diff --git a/bin/impl/util.sh b/bin/impl/util.sh
index 508059c..a47af57 100755
--- a/bin/impl/util.sh
+++ b/bin/impl/util.sh
@@ -99,7 +99,7 @@ function run_component() {
   local logs; logs="$LOGS_DIR/setup"
   mkdir -p "$logs"
   shift
-  "$UNO_HOME/bin/impl/run/$component.sh" "$component" "$@" 1>"$logs/${component}.out" 2>"$logs/${component}.err" || return 1
+  "$UNO_HOME/bin/impl/run/$component.sh" "$@" 1>"$logs/${component}.out" 2>"$logs/${component}.err" || return 1
   case "$component" in
     accumulo|fluo) post_run_plugins ;;
     *) ;;